org.eclipse.microprofile.graphql.tck.dynamic.execution

## Class TestData

- java.lang.Object
- - org.eclipse.microprofile.graphql.tck.dynamic.execution.TestData

    public class TestData
    extends Object

Simple Holder for Test Data sets

Author:
  Phillip Kruger (phillip.kruger@redhat.com)

### Constructor Summary

Constructors
Constructor and Description
`TestData()`
`TestData(String name)`
`TestData(String name, Set<String> input, Properties httpHeaders, Set<String> output, jakarta.json.JsonObject variables, String prepare, String cleanup, Properties properties)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addInput(String input)`
`void` `addOutput(String output)`
`boolean` `beStrict()`
`boolean` `equals(Object obj)`
`String` `getCleanup()`
`int` `getExpectedHttpStatusCode()`
`String` `getFailMessage()`
`Properties` `getHttpHeaders()`
`Set<String>` `getInput()`
`String` `getName()`
`Set<String>` `getOutput()`
`String` `getPrepare()`
`Integer` `getPriority()`
`Properties` `getProperties()`
`jakarta.json.JsonObject` `getVariables()`
`int` `hashCode()`
`void` `setCleanup(String cleanup)`
`void` `setHttpHeaders(Properties httpHeaders)`
`void` `setInput(Set<String> input)`
`void` `setName(String name)`
`void` `setOutput(Set<String> output)`
`void` `setPrepare(String prepare)`
`void` `setProperties(Properties properties)`
`void` `setVariables(jakarta.json.JsonObject variables)`
`boolean` `shouldIgnore()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TestData

    public TestData()

#### TestData

    public TestData(String name)

#### TestData

    public TestData(String name,
                    Set<String> input,
                    Properties httpHeaders,
                    Set<String> output,
                    jakarta.json.JsonObject variables,
                    String prepare,
                    String cleanup,
                    Properties properties)

### Method Detail

#### getName

    public String getName()

#### getInput

    public Set<String> getInput()

#### getHttpHeaders

    public Properties getHttpHeaders()

#### getOutput

    public Set<String> getOutput()

#### getVariables

    public jakarta.json.JsonObject getVariables()

#### getPrepare

    public String getPrepare()

#### getCleanup

    public String getCleanup()

#### getProperties

    public Properties getProperties()

#### setName

    public void setName(String name)

#### setInput

    public void setInput(Set<String> input)

#### addInput

    public void addInput(String input)

#### setHttpHeaders

    public void setHttpHeaders(Properties httpHeaders)

#### setOutput

    public void setOutput(Set<String> output)

#### addOutput

    public void addOutput(String output)

#### setVariables

    public void setVariables(jakarta.json.JsonObject variables)

#### setPrepare

    public void setPrepare(String prepare)

#### setCleanup

    public void setCleanup(String cleanup)

#### setProperties

    public void setProperties(Properties properties)

#### shouldIgnore

    public boolean shouldIgnore()

#### getPriority

    public Integer getPriority()

#### getExpectedHttpStatusCode

    public int getExpectedHttpStatusCode()

#### beStrict

    public boolean beStrict()

#### getFailMessage

    public String getFailMessage()

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`